import type Timeline from './Timeline';
import type Track from './Track';
import Container, { ContainerProps } from './abstracts/Container';
interface PartProps extends ContainerProps {
    tracks: Track[];
    duration: number;
    loop?: boolean;
}
export default class Part extends Container {
    private readonly tracks;
    readonly duration: number;
    readonly loop: boolean;
    constructor({ tracks, effects, duration, loop, }: PartProps);
    bindTimeline(timeline: Timeline): void;
    play(time: number): void;
    load(): Promise<void[]>;
    destroy(): void;
}
export {};
