import type { OperativeNodeProps } from '../abstracts/OperativeNode';
import EffectNode from './EffectNode';
export interface BiquadFilterProps extends OperativeNodeProps {
    frequency?: number;
    detune?: number;
    Q?: number;
    gain?: number;
}
interface StaticBiquadFilterProps extends BiquadFilterProps {
    type?: 'lowpass' | 'highpass' | 'bandpass' | 'lowshelf' | 'highshelf' | 'peaking' | 'notch' | 'allpass';
}
export default class BiquadFilter extends EffectNode<BiquadFilterNode> {
    constructor({ type, frequency, detune, Q, gain, ...rest }?: StaticBiquadFilterProps);
}
export {};
