import type Context from '../Context';
import BiquadFilter, { BiquadFilterProps } from './BiquadFilter';
import Delay, { DelayProps } from './Delay';
import DynamicsCompressor, { DynamicsCompressorProps } from './DynamicsCompressor';
import Gain, { GainProps } from './Gain';
interface EffectControllerType {
    new (props: EffectControllerProps<Gain>): AccessorProps<Gain, GainProps>;
}
interface EffectControllerType {
    new (props: EffectControllerProps<Delay>): AccessorProps<Delay, DelayProps>;
}
interface EffectControllerType {
    new (props: EffectControllerProps<BiquadFilter>): AccessorProps<BiquadFilter, BiquadFilterProps>;
}
interface EffectControllerType {
    new (props: EffectControllerProps<DynamicsCompressor>): AccessorProps<DynamicsCompressor, DynamicsCompressorProps>;
}
interface AccessorProps<T, P> {
    set: (key: keyof OmitThisParameter<Omit<P, 'context'>>, value: number) => void;
    connect: (...nodes: T[]) => void;
    disconnect: (...nodes: T[]) => void;
}
interface EffectControllerProps<T> {
    effects: T[];
    smoothing?: number;
    context?: Context;
}
declare const EffectController: EffectControllerType;
export default EffectController;
